For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETCheck Existence of Customer Email
              • GETList Users
              • POSTCreate User
              • GETGet User Information
              • PUTUpdate User Information
              • DELDelete User
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyUsers

Delete User

DELETE
https://api-b2b.bigcommerce.com/api/v2/users/:userId
DELETE
/api/v2/users/:userId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v2/users/123 \
> -H "Authorization: Bearer <token>"
200SUCCESS
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Deletes a Company user. Equivalent Storefront GraphQL API Mutation: `userDelete`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Update User Information

Next

Orders

Built with

Deletes a Company user.

Equivalent Storefront GraphQL API Mutation: userDelete. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

userIdstringRequired
The unique ID for the customer account.

Response

OK
codedoubleDefaults to 200
messagestring
dataobject